
GammaLib - Bug #1077

Test report contains invalid XML for method names with & (C++ references)

01/13/2014 06:25 PM - Owen Ellis

Status: Closed Start date: 01/13/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

I am currently adding unit tests for GModelSpectralGauss.

The test/reports/GModel.xml output file contains invalid XML for this method with an & symbol:

eowen@hfm-1307f:~/software/gammalib$ xmllint test/reports/GModel.xml

test/reports/GModel.xml:338: parser error : xmlParseEntityRef: no name

      <error message="*** ERROR in GOptimizerPar::factor_value(double&): Invalid

                                                                      ^

History

#1 - 01/13/2014 06:55 PM - Knödlseder Jürgen

Thanks Owen for reporting. I have recognized this issue already for " symbols, but I forgot to raise an issue.

#2 - 01/19/2014 02:03 AM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#3 - 01/22/2014 10:02 PM - Knödlseder Jürgen

See http://en.wikipedia.org/wiki/List_of_XML_and_HTML_character_entity_references for the translation that needs to be done. This implies that the

following automatic conversions should be implemented:

Character converted to

" &quot;

& &amp;

' &quot;

< &lt;

> &gt;

A decision needs to be made on when the conversion should be done. Possibilities are during access of the information (e.g. during reading and

writing for example attributes), or during parsing. Maybe better during access of the information, so that the GXml object always contains the

converted characters.

As the conversion functions are needed in several places, the functions may be implemented in the GTools module.
#4 - 10/30/2014 12:00 PM - Knödlseder Jürgen

- Target version set to 1.0.0

This should be done for release version 1.0.0

#5 - 10/31/2014 11:29 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

This is fixed now, merged into devel branch.
